import crypto from "crypto";
const preset = () => {
  return {
    // This function transforms the Babel configuration on a per-file basis
    config(config, { source }) {
      if (new RegExp("[./]macro").test(source)) {
        return Object.assign({}, config.options, {
          caller: Object.assign({}, config.options.caller, {
            craInvalidationToken: crypto.randomBytes(32).toString("hex")
          })
        });
      }
      return config.options;
    }
  };
};
var customize_default = preset;
export {
  customize_default as default
};
