type Options = {
    runtime?: string;
    helpers?: boolean;
    forceEnv?: string;
    [key: string]: any;
};
declare const preset: (api: any, opts: Options) => {
    presets: (false | (string | {
        targets: {
            node: string;
        };
    })[] | (string | {
        useBuiltIns: string;
        corejs: number;
        exclude: string[];
    })[] | (string | {
        runtime: string | undefined;
        useBuiltIns?: boolean | undefined;
        development: boolean;
    })[])[];
    plugins: (string | false | (string | boolean)[] | (string | {
        loose: boolean;
    })[] | (string | {
        corejs: boolean;
        helpers: boolean;
        version: any;
        regenerator: boolean;
        useESModules: boolean;
        absoluteRuntime: string;
    })[] | (string | {
        removeImport: boolean;
    })[])[];
    overrides: {
        test: RegExp;
        plugins: (string | {
            legacy: boolean;
        })[][];
    }[];
};

export = preset;
