type Options = Record<string, any>;
declare const preset: (api: any, opts: Options) => {
    sourceType: string;
    presets: (false | (string | {
        targets: {
            node: string;
        };
        exclude: string[];
    })[] | (string | {
        useBuiltIns: string;
        corejs: number;
        exclude: string[];
    })[])[];
    plugins: (string | {
        corejs: boolean;
        helpers: boolean;
        version: any;
        regenerator: boolean;
        useESModules: boolean;
        absoluteRuntime: string;
    })[][];
};

export { preset as default };
